SynqDocs
Management APIDiscord servers

Read a connected Discord server

Needs `org.integrations.view`.

GET/v1/orgs/{org}/discord-servers/{server}

Needs org.integrations.view.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string

The org's id

Match^org_[0-9a-hjkmnp-tv-z]{26}$
server*string

The Discord server's id

Match^dsv_[0-9a-hjkmnp-tv-z]{26}$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.synq.build/v1/orgs/org_01h455vb4pex5vsknk084sn02q/discord-servers/dsv_01h455vb4pex5vsknk084sn02q" \  -H "Authorization: Bearer $SYNQ_API_KEY"
{  "id": "dsv_01h455vb4pex5vsknk084sn02q",  "brand_id": "brd_01h455vb4pex5vsknk084sn02q",  "guild_id": "1093847562019384756",  "name": "Mollyverse",  "icon_url": "https://app.acme.example",  "status": "connected",  "verify_channel_id": "string",  "verified_channel_id": "string",  "own_bot": true,  "invite_url": "https://discord.gg/mollyverse",  "listed": true,  "listed_by": "brand",  "counts": {    "roles": 0,    "gated": true,    "managed": 0  },  "connected_at": "2026-10-21T12:00:00.000Z"}